testing::internal::ParamIteratorInterface< T > Class Template Referenceabstract

`#include <gtest.h>`

## Public Member Functions

virtual | ~ParamIteratorInterface ()
virtual const ParamGeneratorInterface< T > * | BaseGenerator () const =0
virtual void | Advance ()=0
virtual ParamIteratorInterface * | Clone () const =0
virtual const T * | Current () const =0
virtual bool | Equals (const ParamIteratorInterface &other) const =0

## Detailed Description

### template<typename T>
class testing::internal::ParamIteratorInterface< T >

Definition at line 10629 of file gtest.h.

## Constructor & Destructor Documentation

## ~ParamIteratorInterface()

template<typename T>

virtual testing::internal::ParamIteratorInterface< T >::~ParamIteratorInterface | ( |  | ) |

inlinevirtual

Definition at line 10631 of file gtest.h.

## Member Function Documentation

## Advance()

template<typename T>

virtual void testing::internal::ParamIteratorInterface< T >::Advance | ( |  | ) |

pure virtual

## BaseGenerator()

template<typename T>

virtual const ParamGeneratorInterface<T>* testing::internal::ParamIteratorInterface< T >::BaseGenerator | ( |  | ) | const

pure virtual

## Clone()

template<typename T>

virtual ParamIteratorInterface* testing::internal::ParamIteratorInterface< T >::Clone | ( |  | ) | const

pure virtual

## Current()

template<typename T>

virtual const T* testing::internal::ParamIteratorInterface< T >::Current | ( |  | ) | const

pure virtual

## Equals()

template<typename T>

virtual bool testing::internal::ParamIteratorInterface< T >::Equals | ( | const ParamIteratorInterface< T > & | other | ) | const

pure virtual

The documentation for this class was generated from the following file:

- test/eclipse-cygwin/lib/gtest/gtest.h